<?php

namespace App\Http\Controllers\Livewire;

use App\Models\User;
use App\Models\Caixa;
use App\Models\Carrinho;
use App\Models\Cliente;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;

class LarawireCarrinho extends Component
{
    public $resultados = [];
    public $caixasCarrinho=null;
    public function render()
    {
        
        $carrinho = new Carrinho();
        $carr=$carrinho::join('caixas','carrinhos.caixa_id','=','caixas.id')->select('carrinhos.*')->whereNull('carrinhos.deleted_at')->orderby('caixas.numerodacaixa','asc')->get();
        $this->carrinho=count($carr);
        $this->caixasCarrinho=count($carr);
        
        return view('livewire.larawire-carrinho',['results'=>$carr])
        ->extends('usuarios.funcionarios.master.layout2')
        ->section('conteudo');
    }
    
    
    public function limparCarrinho(){
        $carrinhos = Carrinho::get();
        
        foreach($carrinhos as $carrinho){
            $carrinho->delete();
        }
    }
}
